Top PHP Studio

Welcome to Top PHP Studio
Top PHP Studio is an Integrated Development Environment for PHP (PHP: Hypertext Preprocessor) designed to simplify the development process for PHP projects. Developers can easily edit and test PHP scripts without uploading scripts to a live server. Top PHP Studio offers internal HTTP server, internal browser (requires MSIE 4.0 +), syntax check, function and parameter completion, code explorer, built-in FTP client, configurable syntax highlighting, file and server explorer, advanced text editing features...

Top PHP Studio is distributed as shareware. You can evaluate the trial version for 30 days. If you wish to continue using Top PHP Studio after the trial period, you must register...

Fell free to send mail on bug reports/comments/suggestions/questions to support@top-systems.net

See Also: Features, Registration, License


Revisions

v1.22 - 26.07.2004

  • Code explorer is added.
  • FTP client is improved.
  • Find/Replace operations supports regular expressions.
  • "Open File At Cursor" feature is added.
  • Word wrap feature is added.
  • Code completion is improved.
  • Bug fixes and visual arrangements.

v1.19.6 - 08.03.2004

  • Fixed a run-time error which was occuring on a some specific systems when starting the application.

v1.19.5 - 01.03.2004

  • Fixed some bugs!
  • Various improvements related with HTML coding

v1.19 - 05.02.2004

  • Built-in FTP Client is added.
  • File compare utility is added.
  • Script parameters dialog is added. User can set GET/POST variables for the current script.
  • Backup feature is added.
  • Automatic saving of opened files is added.
  • Page Setup dialog is improved. Users can print customizable header and footer sections.
  • Code insight options are added.
  • Error/Access Log window is added. Users can view the latest entries in the local external server's error and access log.
  • Windows XP theme support is added.

v0.95a - 02.01.2004

  • Minor maintenance release: fixed the problem related with trial period.

v0.95 - 18.11.2003

  • Syntax highlighting is improved: Users can configure syntax highlighting according to their preferences.
  • Templates are added
  • Exporting as HTML/RFT feature is added.
  • Internal HTTP server supports UNC filenames
  • Table designer is added
  • Many bugs are fixed.
  • First commercial release.

v0.90a - 27.07.2003

  • Minor maintenance release: fixed the some installations problems.

v0.90 - 18.07.2003

  • Internal HTTP server is improved: Now you can specify extensions for PHP scripts and default document names.
  • Server document root view is added.
  • Automatic parentheses highlighting is added.
  • Code snippets is added. (CSS and HTML tags)
  • Automatic correction feature is added. (Similar to MS Word)
  • Inserting HTML color codes feature is added.
  • Inserting HTML entities dialog is added.
  • A few other minor fixes or adjustments.

v0.80 - 20.06.2003

  • Added internal HTTP server. This enables to test PHP scripts without a need for external server.

v0.75 - 04.06.2003

  • First public release on the Internet.


System Requirements

Hardware Requirements

  • Pentium 100 +
  • 32 MB Ram
  • 3 MB free hard disk space

Software Requirements

  • Windows 95/98/ME/NT4.0/2000/XP/
  • PHP
  • MS Internet Explorer 4.0 or higher


Key Features

  • Internal HTTP server: Users may test their PHP scripts without a need for external HTTP server. Users may also disable this feature to test your PHP scripts with external HTTP server
  • Internal browser (requires MSIE 4.0 or higher): Users easily preview the output of PHP scripts
  • Built-in FTP client. You can work with the files on remote server
  • Code explorer
  • Customizable syntax highlighting for PHP, SQL, HTML, XML, Cascading Style Sheet (CSS), JavaScript, Perl, Python and Java
  • Integration with PHP documentation: You can press F1 to search inside PHP documentation (requires CHM version of PHP Help)
  • PHP function and parameter completion: You can quickly see PHP function list by pressing Ctrl+Enter and Shift+Ctrl+Enter for a hint pop-up containing parameter reference for selected function.
  • Visual file comparison utility
  • Server explorer panel: You can easily access the files which will be served
  • File explorer: You can easily access local file system while you are working with Top PHP Studio
  • Code snippets: You can easily access CSS and HTML tags
  • Advanced text editing capabilities (Multiply undo/redo, find/replace, indent/unindent ...)
  • Automatic correction (similar to MS Word).
  • Tabbed multiply document interface (MDI)
  • Backup & automatic saving of files
  • Automatic parentheses highlighting
  • Column mode editing: While pressing Alt key, you can edit in column mode
  • Bookmarks
  • Highly Customizable


Registration

Top PHP Studio is distributed as shareware. You can use the trial version for 30 days without any restrictions. If you wish to continue using Top PHP Studio after the trial period, you must register. The registration fee for single user license is $35 USD ( or equivalent in other accepted currencies).

As a registered user you will receive:

  • Full version of Top PHP Studio.
  • All major and minor releases for a period of one year.
  • Free priority technical support via e-mail for a period of one year.
  • Discounts on new releases after one year period.

Register Top PHP Studio


 TOP PHP STUDIO - PRODUCT LICENSE INFORMATION

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT. Top Systems grants you a license to use one copy of the version of this SOFTWARE on any one system for as many licenses as you purchase. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. When you first obtain a copy of the SOFTWARE, you are granted an evaluation period of not more than 30 days, after which time you must pay for the SOFTWARE according to the terms and prices discussed in the SOFTWARE's documentation, or you must remove the SOFTWARE from your system. This license is not transferable to any other system, or to another organization or individual. You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction; therefore, you understand and agree that there is no refund policy for any purchase of the SOFTWARE.

2. OWNERSHIP. The SOFTWARE is owned and copyrighted by Top Systems. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE .

3. COPYRIGHT. The SOFTWARE is protected by Turkish copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of Top Systems and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.

5. NO OTHER WARRANTIES. TOP SYSTEMS DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. TOP SYSTEMS DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL TOP SYSTEMS OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF TOP SYSTEMS HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL TOP SYSTEMS' LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

8. GOVERNING LAW. This license will be governed by the laws of the Turkish Republic. The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

9. ENTIRE AGREEMENT. This is the entire agreement between you and Top Systems which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.


Credits

Top PHP Studio
Copyright © 2003-2004 Top Systems Ltd.
Designed and developed by Mehmet Top

http://www.top-systems.net
support@top-systems.net

Top PHP Studio is designed to work with PHP: Hypertext Preprocessor.

Top PHP Studio uses:
Indy | Internet Direct is an internet component suite licensed under MPL.
InnoSetup: | Inno Setup is a free installer by Jordan Russell.
SynEdit | SynEdit is text editing component licensed under MPL.

Thanks to everyone who sends feedback on Top PHP Studio.

All trademarks are property of their respective owners.


How to test PHP scripts with internal HTTP server

The internal HTTP server (IHS) enables to test PHP scripts without a need for external server. To properly view the output of PHP script, some variables should be defined:

  • Document Root: The directory where documents (PHP scripts, HTML ...) will be served. All requests are taken from this directory so documents which will be served, must be accessible from this directory. Document root can be easily defined by using document root panel. This panel also enables quickly access the documents under the document root

  • PHP Interpreter: IHS executes php.exe as a CGI (Common Gateway Interface) module and serves the output. The location of php.exe must be defined in "Environmental Options" dialog. This is also required for Syntax Check command
  • PHP Extension(s): IHS will detect PHP scripts by checking whether their extension match with these values

  • Default Documents: IHS will try to serve default documents when the requested document name is not specified.
  • Server Port: IHS will accept requests from this port (default value is 7905). Ensure that specified port is not used by other applications.


How to test PHP scripts with external HTTP server

Top PHP Studio can be used with external HTTP server to test PHP scripts by selecting the Run | HTTP Server | External HTTP Server menu. In order to preview the output of PHP scripts, there must be running external HTTP server which supports PHP (such as Apache). Also some variables should be set the proper values:

  • Host Name:Specify host name for the server
  • Document Root: The directory where external HTTP server uses to serve the documents (PHP scripts, HTML ...). Top PHP Studio expands the relative path to the edited script by using document root, so the scripts which will be previewed should be under this directory.
  • Server Port: Specify the port value which the external HTTP server listens (HTTP requests are generally taken from port 80)


Main Menu

File Menu
New | Creates a new script.
Open | Opens an existing script.
Reopen | Opens a previously opened script.
Reload | Reload the current script and discards all changes.
Save | Saves an opened script using the same filename.
Save As | Saves an opened script to a specified filename.
Save A Copy | Creates a copy of current script.
Save As Template | Saves the current script as a new template
Save All | Saves all modified scripts using the same filenames.
Open From FTP | Opens a file from a FTP server.
Save As To FTP | Saves an opened script to FTP server
Close | Close an opened script.
Close All | Close all opened scripts.
Print | Prints a script file.
Print Preview | Displays the script on the screen as it would appear printed.
Page Setup | Set up page headers and footers for printing.
Exit | Exists Top PHP Studio.
Edit Menu
Undo | Reverse previous editing operation.
Redo | Reverse the previous undo command.
Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the script to the clipboard.
Paste | Pastes data from the clipboard into the script.
Cut & Append | Cuts the selection and appends to the clipboard.
Copy & Append | Copies the selection and appends to the clipboard.
Select All | Selects all the text in the active document.
Indent | Adds indentation to selected rows of text.
Unindent | Removes indentation from selected rows of text.
Search Menu
Find | Finds the specified text.
Find Next | Finds the next matching text.
Find Previous | Finds the previous matching text.
Replace | Replaces specific text with different text.
Goto Line/Column | Goes to specified line and column in the active script
Toggle Bookmark | Toggles a bookmark at the current line.
Next Bookmark | Move the cursor to the next bookmark.
Previous Bookmark | Move the cursor to the previous bookmark.
Remove Bookmarks | Removes all previously defined bookmarks.
View Menu
Server Explorer | Shows the server explorer panel.
Local File System | Shows the local file system panel.
Code Snippets | Shows the code snippets panel.
Output | Shows the output panel.
Access Log | Shows the last part of access log of external server.
Error Log | Shows the last part of error log of external server.
Full Screen | Toggles the full screen mode.
Insert Menu
Color | Insert a HTML color value into the script.
Date/Time | Insert the current date/time.
Special Characters | Insert a HTML special character into the script.
Table | Executes the table designer.
Run Menu
HTTP Server | Selects the HTTP server which you want to work with
Run in Internal Browser | Requests the current script file from HTTP server (internal/external) and shows the response of server with internal browser.
Run in External Preview | Requests the current script file from HTTP server (internal/external) and shows the response of server with systems default browser.
Run in Console | Runs the current script file, through the CGI PHP and catches the output of script to output window.
Script Parameters | Passes the specified GET/POST parameters to current script.
Syntax Check | Checks for syntax errors of PHP script.
Tools Menu
Environment Options | Shows the environmental options dialog.
Application Options | Shows the editor options dialog.
FTP Accounts | Shows the FTP accounts dialog.
Compare Files | Executes visual file compare utility.
Reset Internal Server | Reset the internal server settings.
Window Menu
Next Window | Activates the next window.
Previous Window | Activates the previous window.
Cascade | Arranges windows in an overlapped fashion.
Tile Horizontally | Arranges windows in non-overlapped horizontal tiles.
Tile Vertically | Arranges windows in non-overlapped vertical tiles.
Minimize All | Minimize all opened windows
Arrange Icons | Arranges icons of closed windows.
Help
Top PHP Help Studio Topics | Shows Top PHP Studio help file.
PHP Help Topics | Shows PHP help file.
Top PHP Studio Home Page | Goes to Top PHP Studio home page.
Technical Support | Sends an e-mail to Top Systems
Register Top PHP Studio | Goes to Top PHP Studio Registration Page.
About Top PHP Studio... | Displays the version number of Top PHP Studio.


Editor Options

General Tab:

  • Delay: Select the appropriate delay before the parameter/HTML code completion gets activated.
  • Date / Time Format: Select the date/time format for Insert Date/Time command
    d | Displays the day as a number without a leading zero (1-31).
    dd | Displays the day as a number with a leading zero (01-31).
    ddd | Displays the day as an abbreviation (Sun-Sat)
    dddd | Displays the day as a full name (Sunday-Saturday)
    m | Displays the month as a number without a leading zero (1-12).
    mm | Displays the month as a number with a leading zero (01-12).
    mmm | Displays the month as an abbreviation (Jan-Dec).
    mmmm | Displays the month as a full name (January-December).
    yy | Displays the year as a two-digit number (00-99).
    yyyy | Displays the year as a four-digit number (0000-9999).
    h | Displays the hour without a leading zero (0-23).
    hh | Displays the hour with a leading zero (00-23).
    n | Displays the minute without a leading zero (0-59).
    nn | Displays the minute with a leading zero (00-59).
    s | Displays the second without a leading zero (0-59).
    ss | Displays the second with a leading zero (00-59).
    z | Displays the millisecond without a leading zero (0-999).
    zzz | Displays the millisecond with a leading zero (000-999).
    am/pm | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
    a/p | Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.
    'xx'/"xx" | Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


Keyboard Shortcuts

Shortcut | Action
Ctrl + A | Select All
Ctrl + Y | Delete Line
Ctrl + Z | Undo
Ctrl + Ins | Copy To Clipboard
Ctrl + Space | Function Completion
Shift + Ctrl + Space | Parameter Hints
Shift + Del | Cut To Clipboard
Shift + Ins | Paste From Clipboard
Shift + Ctrl + I | Indent
Shift + Ctrl + U | Unindent
Shift + Ctrl + Z | Redo


Editor Options

Editing Tab:

  • Text Editor Font: Select the font which you would like to work with.
  • Alt Sets Column Mode: Enables to select/cut/copy/paste in column mode while holding down the Alt key.
  • Auto Indent: This will indent the caret on new lines with the same amount of leading white space as the preceding line.
  • Enhance Home Key: Enhances home key positioning, similar to visual studio.
  • Group Undo: When undoing/redoing actions, handle all continuous changes of the same kind in one call instead undoing/redoing each command separately.
  • Half Page Scroll: When scrolling with page-up and page-down commands, only scroll a half page at a time.
  • Right Click Moves Cursor:When clicking with the right mouse for a popup menu, move the cursor to that location.
  • Scroll Past End Of File: Allows the cursor to go past the end of file marker.
  • Scroll Past End Of Line: Allows the cursor to go past the last character into the white space at the end of a line.
  • Show Line Numbers: Shows the line numbers on gutter.
  • Show Special Chars: Shows the special characters (space, tabs, line break).
  • Smart Tabs: When tabbing, the cursor will go to the next non-white space character of the previous line.
  • Smart Tab Delete: Similar to Smart Tabs, but when you delete characters.
  • Tab Indent: This enables <Tab> and <Shift><Tab> keys to act as block indent, unindent when text is selected.
  • Tabs To Spaces: Converts a tab character to a specified number of space characters.
  • Trim Trailing Spaces: Spaces at the end of lines will be trimmed and not saved.
  • Undo After Save: Enables undo/redo operations after saving chances.
  • Line Spacing: Spaces lines with the specified amount.
  • Right Margin: Shows a vertical line at the specified column.
  • Tab Width: Allows to specify the tab width.
  • Max Undo: Allows to specify the maximum number of undo/redo operations.


Editor Options

Backup Tab:

  • Backup Local Files Before Saving: If this option is selected, when saving a file a backup file named <filename>.~<fileext> will be created. If Default backup directory is blank, backup file will be saved to path where original file is saved, otherwise it will be saved to Default Backup Directory.
  • Automatic Save Files (Minute): This enables saving of opened files with the specified intervals
  • Do not Automatically Save FTP Files: If this option is selected, automatic save process will ignore the files opened form FTP server.
  • Do not Automatically Save Untitled (New) Files: If this option is selected, automatic save process will ignore the untitled files, otherwise Save As dialog will be executed.


Editor Options

Syntax Highlighting Tab:

Users can configure syntax highlighting according to their preferences


Editor Options

Auto Correction Tab:

  • Enable Auto Correction: Toggles automatic correction.
  • Beep On Correction: When editor makes a correction, gives an auditory notification.
  • Ignore Case: Ignores the case of word when making corrections.
  • Maintain Case: Maintains the case of word when making corrections.


Environmental Options

PHP Tab:

  • Text Editor Font: Select the font which you would like to work with.
  • Alt Sets Column Mode: Enables to select/cut/copy/paste in column mode while holding down the Alt key.
  • Auto Indent: This will indent the caret on new lines with the same amount of leading white space as the preceding line.
  • Enhance Home Key: Enhances home key positioning, similar to visual studio.
  • Group Undo: When undoing/redoing actions, handle all continuous changes of the same kind in one call instead undoing/redoing each command separately.
  • Half Page Scroll: When scrolling with page-up and page-down commands, only scroll a half page at a time.
  • Right Click Moves Cursor:When clicking with the right mouse for a popup menu, move the cursor to that location.
  • Scroll Past End Of File: Allows the cursor to go past the end of file marker.
  • Scroll Past End Of Line: Allows the cursor to go past the last character into the white space at the end of a line.
  • Show Line Numbers: Shows the line numbers on gutter.
  • Show Special Chars: Shows the special characters (space, tabs, line break).
  • Smart Tabs: When tabbing, the cursor will go to the next non-white space character of the previous line.
  • Smart Tab Delete: Similar to Smart Tabs, but when you delete characters.
  • Tab Indent: This enables <Tab> and <Shift><Tab> keys to act as block indent, unindent when text is selected.
  • Tabs To Spaces: Converts a tab character to a specified number of space characters.
  • Trim Trailing Spaces: Spaces at the end of lines will be trimmed and not saved.
  • Undo After Save: Enables undo/redo operations after saving chances.
  • Line Spacing: Spaces lines with the specified amount.
  • Right Margin: Shows a vertical line at the specified column.
  • Tab Width: Allows to specify the tab width.
  • Max Undo: Allows to specify the maximum number of undo/redo operations.

Internal HTTP Server Tab:

External HTTP Server Tab:

  • Enable Auto Correction: Toggles automatic correction.
  • Beep On Correction: When editor makes a correction, gives an auditory notification.
  • Ignore Case: Ignores the case of word when making corrections.
  • Maintain Case: Maintains the case of word when making corrections.